org.apache.tools.ant.types.spi

## Class Provider

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.spi.Provider

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Provider
      extends ProjectComponent

  ANT Jar-Task SPI extension This class corresponds to the nested element <provider type="type"> in the <service type=""> nested element of the jar task.
  See Also:
    http://issues.apache.org/bugzilla/show_bug.cgi?id=31520

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Provider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check()` Check if the component has been configured correctly.
    `java.lang.String` | `getClassName()`
    `void` | `setClassName(java.lang.String type)` Set the provider classname.

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Provider

          public Provider()

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Returns:
        the class name for

    - #### setClassName

          public void setClassName(java.lang.String type)

      Set the provider classname.
      Parameters:
        `type` - the value to set.

    - #### check

          public void check()

      Check if the component has been configured correctly.